Skip to content

The host changes the room before a hand: seats, visibility, lock, bots, timer, house rules.

PATCH
/api/rooms/{id}
curl --request PATCH \
--url https://example.com/api/rooms/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "seats": 1, "isPublic": true, "accountOnly": true, "locked": true, "botsFill": true, "botLevel": "example", "botsTakeOver": true, "turnSeconds": 1, "options": "example", "spectators": true }'
id
required
string format: uuid
Media typeapplication/json
object
seats
null | integer format: int32
isPublic
null | boolean
accountOnly
null | boolean
locked
null | boolean
botsFill
null | boolean
botLevel
null | string
botsTakeOver
null | boolean
turnSeconds
null | integer format: int32
options
spectators
null | boolean

Example generated

{
"seats": 1,
"isPublic": true,
"accountOnly": true,
"locked": true,
"botsFill": true,
"botLevel": "example",
"botsTakeOver": true,
"turnSeconds": 1,
"options": "example",
"spectators": true
}

OK

Media typeapplication/json
object
id
required
string format: uuid
code
required
string
gameId
required
string
gameVersion
required
string
status
required
string
hostProfileId
required
string format: uuid
isPublic
required
boolean
accountOnly
required
boolean
locked
required
boolean
seats
required
integer format: int32
botsFill
required
boolean
botLevel
required
null | string
botsTakeOver
required
boolean
turnSeconds
required
integer format: int32
options
required
seatList
required
Array<object>
object
seat
required
integer format: int32
profileId
required
null | string format: uuid
name
required
null | string
avatar
required
null | string
bot
required
null | string
connected
required
boolean
ready
required
boolean
scores
required
Array<integer>
hand
required
integer format: int32
handSeats
required
Array<integer>
mySeat
required
null | integer format: int32
spectators
required
boolean
watchers
required
Array<string>

Example generated

{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"code": "example",
"gameId": "example",
"gameVersion": "example",
"status": "example",
"hostProfileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"isPublic": true,
"accountOnly": true,
"locked": true,
"seats": 1,
"botsFill": true,
"botLevel": "example",
"botsTakeOver": true,
"turnSeconds": 1,
"options": "example",
"seatList": [
{
"seat": 1,
"profileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"avatar": "example",
"bot": "example",
"connected": true,
"ready": true
}
],
"scores": [
1
],
"hand": 1,
"handSeats": [
1
],
"mySeat": 1,
"spectators": true,
"watchers": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
]
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string

Example generated

{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found